## GstGLBaseFilter GstGLBaseFilter |

## Properties

GstGLContext * | context | Read

## Types and Values

| GstGLBaseFilter
| GstGLBaseFilterClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstGLBaseFilter
                            ╰── GstGLFilter

## Description

## Functions

## Types and Values

### GstGLBaseFilter

    typedef struct _GstGLBaseFilter GstGLBaseFilter;

GstGLBaseFilter is a base class that provides the logic of getting the GL context from the pipeline.

#### Members

### GstGLBaseFilterClass

    typedef struct {
      GstBaseTransformClass parent_class;
      GstGLAPI supported_gl_api;

      gboolean (*gl_start)          (GstGLBaseFilter *filter);
      void     (*gl_stop)           (GstGLBaseFilter *filter);

      gpointer _padding[GST_PADDING];
    } GstGLBaseFilterClass;

#### Members

GstBaseTransformClass `parent_class`; |  |
GstGLAPI `supported_gl_api`; |  |
`gl_start` () | called in the GL thread to setup the element GL state. |
`gl_stop` () | called in the GL thread to setup the element GL state. |
gpointer `_padding`[GST_PADDING]; |  |

## Property Details

### The `“context”` property

      “context”                  GstGLContext *

Get OpenGL context.

Flags: Read